<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Unit Conversion and Dimensional Analysis Library: Class Index</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">2.3.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Class Index</div>  </div>
</div><!--header-->
<div class="contents">
<div class="qindex"><a class="qindex" href="#letter_b">b</a>&#160;|&#160;<a class="qindex" href="#letter_d">d</a>&#160;|&#160;<a class="qindex" href="#letter_h">h</a>&#160;|&#160;<a class="qindex" href="#letter_i">i</a>&#160;|&#160;<a class="qindex" href="#letter_l">l</a>&#160;|&#160;<a class="qindex" href="#letter_n">n</a>&#160;|&#160;<a class="qindex" href="#letter_u">u</a></div>
<table class="classindex">
<tr><td rowspan="2" valign="bottom"><a name="letter_b"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;b&#160;&#160;</div></td></tr></table>
</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__base__unit.html">is_base_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__impedance__unit.html">is_impedance_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__substance__unit.html">is_substance_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td rowspan="2" valign="bottom"><a name="letter_u"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;u&#160;&#160;</div></td></tr></table>
</td>
</tr>
<tr><td valign="top"><a class="el" href="structunits_1_1traits_1_1is__capacitance__unit.html">is_capacitance_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__inductance__unit.html">is_inductance_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__temperature__unit.html">is_temperature_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
</tr>
<tr><td valign="top"><a class="el" href="structunits_1_1base__unit.html">base_unit</a> (<a class="el" href="namespaceunits.html">units</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__charge__unit.html">is_charge_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__length__unit.html">is_length_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__time__unit.html">is_time_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1unit.html">unit</a> (<a class="el" href="namespaceunits.html">units</a>)&#160;&#160;&#160;</td>
</tr>
<tr><td rowspan="2" valign="bottom"><a name="letter_d"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;d&#160;&#160;</div></td></tr></table>
</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__concentration__unit.html">is_concentration_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__luminous__flux__unit.html">is_luminous_flux_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__torque__unit.html">is_torque_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="classunits_1_1unit__t.html">unit_t</a> (<a class="el" href="namespaceunits.html">units</a>)&#160;&#160;&#160;</td>
</tr>
<tr><td valign="top"><a class="el" href="structunits_1_1traits_1_1is__conductance__unit.html">is_conductance_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__luminous__intensity__unit.html">is_luminous_intensity_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__unit.html">is_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1unit__value__add.html">unit_value_add</a> (<a class="el" href="namespaceunits.html">units</a>)&#160;&#160;&#160;</td>
</tr>
<tr><td valign="top"><a class="el" href="structunits_1_1decibel__scale.html">decibel_scale</a> (<a class="el" href="namespaceunits.html">units</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__convertible__unit.html">is_convertible_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__magnetic__field__strength__unit.html">is_magnetic_field_strength_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__unit__t.html">is_unit_t</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1unit__value__divide.html">unit_value_divide</a> (<a class="el" href="namespaceunits.html">units</a>)&#160;&#160;&#160;</td>
</tr>
<tr><td rowspan="2" valign="bottom"><a name="letter_h"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;h&#160;&#160;</div></td></tr></table>
</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__convertible__unit__t.html">is_convertible_unit_t</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__magnetic__flux__unit.html">is_magnetic_flux_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__unit__value__t.html">is_unit_value_t</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1unit__value__multiply.html">unit_value_multiply</a> (<a class="el" href="namespaceunits.html">units</a>)&#160;&#160;&#160;</td>
</tr>
<tr><td valign="top"><a class="el" href="structunits_1_1traits_1_1is__current__unit.html">is_current_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__mass__unit.html">is_mass_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__unit__value__t__category.html">is_unit_value_t_category</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1unit__value__power.html">unit_value_power</a> (<a class="el" href="namespaceunits.html">units</a>)&#160;&#160;&#160;</td>
</tr>
<tr><td valign="top"><a class="el" href="structunits_1_1traits_1_1has__decibel__scale.html">has_decibel_scale</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__data__transfer__rate__unit.html">is_data_transfer_rate_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__nonlinear__scale.html">is_nonlinear_scale</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__velocity__unit.html">is_velocity_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1unit__value__sqrt.html">unit_value_sqrt</a> (<a class="el" href="namespaceunits.html">units</a>)&#160;&#160;&#160;</td>
</tr>
<tr><td valign="top"><a class="el" href="structunits_1_1traits_1_1has__linear__scale.html">has_linear_scale</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__data__unit.html">is_data_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__power__unit.html">is_power_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__voltage__unit.html">is_voltage_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1unit__value__subtract.html">unit_value_subtract</a> (<a class="el" href="namespaceunits.html">units</a>)&#160;&#160;&#160;</td>
</tr>
<tr><td rowspan="2" valign="bottom"><a name="letter_i"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;i&#160;&#160;</div></td></tr></table>
</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__density__unit.html">is_density_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__pressure__unit.html">is_pressure_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__volume__unit.html">is_volume_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1unit__value__t.html">unit_value_t</a> (<a class="el" href="namespaceunits.html">units</a>)&#160;&#160;&#160;</td>
</tr>
<tr><td valign="top"><a class="el" href="structunits_1_1traits_1_1is__dimensionless__unit.html">is_dimensionless_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__radioactivity__unit.html">is_radioactivity_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td rowspan="2" valign="bottom"><a name="letter_l"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;l&#160;&#160;</div></td></tr></table>
</td>
<td></td></tr>
<tr><td valign="top"><a class="el" href="structunits_1_1traits_1_1is__acceleration__unit.html">is_acceleration_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__energy__unit.html">is_energy_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__ratio.html">is_ratio</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td></td></tr>
<tr><td valign="top"><a class="el" href="structunits_1_1traits_1_1is__angle__unit.html">is_angle_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__force__unit.html">is_force_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__same__scale.html">is_same_scale</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1linear__scale.html">linear_scale</a> (<a class="el" href="namespaceunits.html">units</a>)&#160;&#160;&#160;</td>
<td></td></tr>
<tr><td valign="top"><a class="el" href="structunits_1_1traits_1_1is__angular__velocity__unit.html">is_angular_velocity_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__frequency__unit.html">is_frequency_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__scalar__unit.html">is_scalar_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td rowspan="2" valign="bottom"><a name="letter_n"></a><table border="0" cellspacing="0" cellpadding="0"><tr><td><div class="ah">&#160;&#160;n&#160;&#160;</div></td></tr></table>
</td>
<td></td></tr>
<tr><td valign="top"><a class="el" href="structunits_1_1traits_1_1is__area__unit.html">is_area_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__illuminance__unit.html">is_illuminance_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td valign="top"><a class="el" href="structunits_1_1traits_1_1is__solid__angle__unit.html">is_solid_angle_unit</a> (<a class="el" href="namespaceunits_1_1traits.html">units::traits</a>)&#160;&#160;&#160;</td>
<td></td></tr>
<tr><td></td><td></td><td></td><td valign="top"><a class="el" href="classstd_1_1numeric__limits_3_01units_1_1unit__t_3_01_units_00_01_t_00_01_non_linear_scale_01_4_01_4.html">numeric_limits&lt; units::unit_t&lt; Units, T, NonLinearScale &gt; &gt;</a> (std)&#160;&#160;&#160;</td>
<td></td></tr>
<tr><td></td><td></td><td></td><td></td><td></td></tr>
</table>
<div class="qindex"><a class="qindex" href="#letter_b">b</a>&#160;|&#160;<a class="qindex" href="#letter_d">d</a>&#160;|&#160;<a class="qindex" href="#letter_h">h</a>&#160;|&#160;<a class="qindex" href="#letter_i">i</a>&#160;|&#160;<a class="qindex" href="#letter_l">l</a>&#160;|&#160;<a class="qindex" href="#letter_n">n</a>&#160;|&#160;<a class="qindex" href="#letter_u">u</a></div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Oct 3 2020 11:16:58 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
